texmacs (1:2.1.4+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/control:
      - Build-Depends list, adjust.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 14 Oct 2024 16:19:16 +0000

texmacs (1:2.1.4+ds-1~exp1) experimental; urgency=medium

  * New micro release re-initialized almost[1] from scratch (Closes: #1072829).
    [1] the former patches that were still relevant were refreshed but renamed.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 07 Sep 2024 20:41:48 +0000

texmacs (1:2.1.2-1) experimental; urgency=medium

  * Team upload.

  [ Jerome Benoit ]
  * debian/patches/*:
    - d/p/90_guile3.patch, introduce;
    - d/p/zz_adhoc_autoreconf.patch, refresh configure
      and src/System/config.in ;
    - d/p/15_clang.patch, neutralize;
  * debian/control:
    - Build-Depends list, refresh;
  * debian/rules, adjust.

  [ Doug Torrance ]
  * New upstream release.
  * debian/patches/*
    - Refresh for new upstream version
  * debian/patches/13_rsvg.patch
    - Remove patch; applied upstream.
  * debian/source/options
    - New file; use 3.0 (quilt).
  * debian/watch
    - Update download link and bump to version 4 format.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 07 Jun 2024 22:51:39 +0000

texmacs (1:1.99.1-3) experimental; urgency=medium

  * Add an override of lintian error.  Thanks Jakub Wilk <jwilk AT debian.org>.
   - I noticed typos for an override file of texmacs-common so fixed them.
   - Also I noticed typo in texmacs-common.dirs so fixed it.
  * Fix fails to build with clang.  Thanks Alexander <sanek23994 AT gmail.com>
    Because the former version was rejected, close this again. (Closes: #756333)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 04 Aug 2014 10:26:19 +0900

texmacs (1:1.99.1-2) experimental; urgency=medium

  * Fix fails to build with clang.  Thanks Alexander <sanek23994 AT gmail.com>
    (Closes: #756333)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 31 Jul 2014 14:59:49 +0900

texmacs (1:1.99.1-1) experimental; urgency=low

  * New upstream release
  * Stopped to apply 01_american.patch, 05_fixRd.patch and 09_ipa.patch
  * Updated control file (migrated to guile-1.8 even on ia64).
    (Closes: #731787)
  * Removed fonts which would be non-distributable.  (Closes: #711383)

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 10 Jan 2014 12:23:58 +0900

texmacs (1:1.0.7.18-1) unstable; urgency=low

  * New Upstream Release.
  * Removed 05_fixRd.patch and updated 01_american.patch, 09_ipa.patch
    10_tex-files.cpp.patch

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 21 Feb 2013 11:51:59 +0900

texmacs (1:1.0.7.16+1-1) unstable; urgency=low

  * Dropped i386 binary without sources, maxima_filter, from orig.tar.gz
    and so changed version number of orig.tar.gz from 1.0.7.16 to 1.0.7.16+1
    and also applied a patch by Adam Conrad.  (Closes: #699132)
    Thanks to Adam Conrad <adconrad AT debian DOT org>
   - Make debian/fixsh operate on debian/texmacs instead of debian/tmp,
     and move it to binary-post-install/texmacs:: to keep consistency
     when not building arch-indep packages, as on the Dbeian buildds.
   - Remove maxima_filter in clean to fix FTBFS on on non-i386 arches.

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 30 Jan 2013 10:28:20 +0900

texmacs (1:1.0.7.16-1) unstable; urgency=low

  * New Upstream Release.
   - In tm-print.scm, there is "xdg-open" command so now the print preview
     should work.  (Closes: #695638)
  * Remove packages/macos/Base.xcconfig by clean target of rules.
    It seems it was misc/bundle/Base.xcconfig in the past and removed
    by clean target of rules.
  * Updated patches/11_desktop-file.patch
  * Fixed relations between texmacs-common and texmacs-extra-fonts.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 18 Jan 2013 13:38:20 +0900

texmacs (1:1.0.7.15-2) unstable; urgency=low

  * Call rsvg-convert instead of rsvg in init-images.scm to allow for
    rsvg to be dropped from the librsvg2-bin package. (Closes: #666482)

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 10 Jul 2012 12:42:28 +0900

texmacs (1:1.0.7.15-1) unstable; urgency=low

  * New Upstream Release.
  * Commented out
    "rm debian/texmacs-common/usr/share/texmacs/TeXmacs/fonts/type1/.*DS* \
	   debian/texmacs-common/usr/share/texmacs/TeXmacs/fonts/type1/math/.*DS* \
	   debian/texmacs-common/usr/share/texmacs/TeXmacs/plugins/fricas/progs/._*" in debian/rules which tried to remove non-existent files.
  * Resurrected patches/09_ipa.patch without which texmacs showed warnings.
  * updated patches/01_american.patch

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 27 Mar 2012 12:59:00 +0900

texmacs (1:1.0.7.14-1) unstable; urgency=low

  * New Upstream Release.
  * Converted from dpatch to quilt.  Thanks to lintian.  Also cleaned up
    some lintian warnings.
  * Added README.source and updated 01_american.patch and 08_gzipbest.patch

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 16 Dec 2011 09:22:46 +0900

texmacs (1:1.0.7.13-1) unstable; urgency=low

  * New Upstream Release.
  * Since 1.0.7 12, TeXmacs doesn't depends on TeX/LaTeX and it looks
    TeXmacs now provides sufficients fonts.  This means there are many
    duplication with texmacs-extra-fonts package.
    So we set Conflicts with texmacs-extra-fonts in texmacs-common.
    If you find any insufficiency, please let me know.
  * TeXmacs is now built with qt-library by default so we add libqt4-dev
    to Build-Depends.
  * Stop to apply 12_mupad.dpatch because there is no misc/bundle/TeXmacs
    anymore.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 26 Sep 2011 15:42:18 +0900

texmacs (1:1.0.7.10-1) unstable; urgency=low

  * New Upstream Release.
  * Added gostscript to Build-Depends.  (Closes: #582228)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 04 Apr 2011 09:45:39 +0900

texmacs (1:1.0.7.9-1) unstable; urgency=low

  * New Upstream Release.
  * Updated 01_american.dpatch and 08_gzipbest.dpatch.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 16 Dec 2010 08:52:24 +0900

texmacs (1:1.0.7.7-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix security issue CVE-2010-3394 (Closes: #598424)
    - Also make the substitutions in misc/bundle/TeXmacs

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 04 Dec 2010 20:40:54 +0100

texmacs (1:1.0.7.7-1) unstable; urgency=low

  * New Upstream Release.
  * Updated patches/09_ipa.dpatch for new upstream sources.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 05 Nov 2010 14:47:00 +0900

texmacs (1:1.0.7.4-3) unstable; urgency=high

  * Contribution of Etienne Millon <etienne.millon AT gmail.com>.
    Thanks for Etienne.
   - Fix security issue CVE-2010-3394 (Closes: #598424)
     So urgency=high.

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 20 Oct 2010 15:09:20 +0900

texmacs (1:1.0.7.4-2) unstable; urgency=low

  * Re-upload, former upload failed with wrong diff.gz perhaps.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 23 Apr 2010 07:09:40 +0900

texmacs (1:1.0.7.4-1) unstable; urgency=low

  * New Upstream Release.
  * Added gnome-icon-theme in Depends of texmacs-common.  (Closes: #548596)
  * Fixed manual to erase a lintian warning (patches/02_man.dpatch).
  * I believe following bugs were fixed already.
   - with debian/fixsh.  (Closes: #497020)
   - locate for menu fonts.  (Closes: #527913)
   - maxima(5.21.0) works fine under TeXmacs(1.0.7.4).  (Closes: #496919)
   - removed dependency on xbase-clients.  (Closes: #475387)
   - no response from a submitter for so long time.  (Closes: #470567, #496734)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 22 Apr 2010 12:59:27 +0900

texmacs (1:1.0.7.3-3) unstable; urgency=low

  * Fixed init-axiom.scm with modified 04_axiom.dpatch (Closes: #567339)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 22 Feb 2010 07:42:29 +0900

texmacs (1:1.0.7.3-2) unstable; urgency=low

  * Fixed TeXmacs.Rd more reasonably.  Thanks to Dirk Eddelbuettel
    <edd AT debian.org>
  * Fixed /bin/sh problem with refined debian/fixsh as far as possible.
    (Closes: #530202)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 11 Feb 2010 15:17:48 +0900

texmacs (1:1.0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Removed "Kamaraju Kusumanchi" from Uploaders: field with his request.
    Thanks Kamaraju for your contributions so far.
  * Removed 06_rebuild-r.dpatch because FTBFS bug temporarily.
    (Closes: #551254)
  * Applied a patch of Kamaraju.  (Closes: #496730)
  * Updated patches 01_american.dpatch, 04_axiom.dpatch, 07_fig2ps.dpatch,
    08_gzipbest.dpatch

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 09 Feb 2010 08:25:18 +0900

texmacs (1:1.0.7.2-1) unstable; urgency=low

  [Kamaraju Kusumanchi <kamaraju@gmail.com>]
  * New upstream release
  * texmacs crashes if /usr/share/texmacs/TeXmacs/misc/pixmaps/unknown.ps
    is not present. Do not remove it. (Closes: #484073, #497021)
  * update patches 03_mupad.dpatch, 04_axiom.dpatch, 11-desktop-file.dpatch
  * fix the mime problem in gnome. Thanks to Andrea Gamba for the fix.
  [kohda]
  * Refined a fix for the mime problem in gnome a bit.
  * Try to fix /bin/sh problem (debian/fixsh) but it is not complete fix yet.
  * Try to fix hard coded settings for ipa fonts(patches/09_ipa.dpatch),
    especially for Debian where no ipa fonts exist yet.
  * Fixed obsolete Build-Depends: changed libltdl3-dev to
    libltdl-dev | libltdl7-dev (the latter for Ubuntu?)

 -- Atsuhito KOHDA <kohda@debian.org>  Sun, 26 Apr 2009 19:35:14 -0400

texmacs (1:1.0.7-2) unstable; urgency=low

  * Re-packaged for migrating to unstable.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 12 Mar 2009 09:54:21 +0900

texmacs (1:1.0.7-1) experimental; urgency=low

  [Kamaraju Kusumanchi <kamaraju@gmail.com>]
  * New upstream release
  [kohda]
  * Fixed texmacs-common.menu (Appls->Applications) and removed dependency
    on gs-gpl.
  * Changed dependency on obsolete xbase-clients to "x11-apps,
    x11-session-utils, x11-utils".  It is not clear for me if "x11-xfs-utils,
    x11-xkb-utils, x11-xserver-utils, xauth, xinit" are necessary or not.

 -- Atsuhito KOHDA <kohda@debian.org>  Sat, 14 Nov 2008 17:27:31 +0900

texmacs (1:1.0.6.15-1) unstable; urgency=low

  [Kamaraju Kusumanchi <kamaraju@gmail.com>]
  * New upstream release
  [kohda]
  * Fixed dependency on locate. (Closes: #461118, #489508)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 08 Sep 2008 13:03:24 +0900

texmacs (1:1.0.6.14-1) unstable; urgency=low

  [Kamaraju Kusumanchi <kamaraju@gmail.com>]
  * New upstream release
  * 01_american.dpatch is updated
  * Since thread support in guile-1.8 is now disabled, the segmentation faults
    should not arise anymore. More info at #439923. (Closes: #450499, #458685)
  [kohda]
  * This version fixed menu problem.  (Closes: #447083)
  * Reverted orig.tar.gz to the upstream tarball.

 -- Atsuhito KOHDA <kohda@debian.org>  Sun,  6 Apr 2008 15:11:41 +0900

texmacs (1:1.0.6.11-5) unstable; urgency=low

  * In order to generate the correct characters corresponding to llbracket,
    rrbracket texmacs needs fonts from texlive-math-extra package. Thanks to
    Julien Puydt for pointing this. [raju] (Closes: #447888)

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 25 Mar 2008 22:59:43 +0900

texmacs (1:1.0.6.11-4) unstable; urgency=low

  * Whole work was done by Kamaraju Kusumanchi <kamaraju@gmail.com> or [raju].
  * The nmu performed for #459028 is not actually a bug in texmacs. It
    probably is a bug in g++. So reverting the changes done during that.
  * Currently there are no versions of ghostscript, ghostscript-x in testing.
    This prevents texmacs to enter into testing. So, changing the
    ghostscript-x dependency to gs-gpl | ghostscript-x.

 -- Atsuhito KOHDA <kohda@debian.org>  Sat,  1 Mar 2008 23:21:34 +0900

texmacs (1:1.0.6.11-3.1) unstable; urgency=low

  * Non-maintainer upload to fix FTFBS bug.
  * Build without -fno-rtti. (Closes: #459028)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 13 Jan 2008 10:06:38 +0100

texmacs (1:1.0.6.11-3) unstable; urgency=low

  * Whole work was done by Kamaraju Kusumanchi <kamaraju@gmail.com> or [raju].
  * Added a Homepage field.
  * change dependency from ghostscript to ghostscript-x. (Closes: #454234)
  * Added dependency on locate (cf. #400713).

 -- Atsuhito KOHDA <kohda@debian.org>  Wed, 26 Dec 2007 23:16:45 +0900

texmacs (1:1.0.6.11-2) unstable; urgency=low

  * Added dependency on texlive-font-utils which contains pfb2pfa that is
    necessary to print the texmacs documents.  (Closes: #446092, #447790)
  * Refined dependency a bit: removed texlive-base-bin on which texlive-base
    depended and changed gs-gpl to ghostscript.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 02 Nov 2007 23:14:07 +0900

texmacs (1:1.0.6.11-1) unstable; urgency=low

  * Whole work was done by Kamaraju Kusumanchi <kamaraju@gmail.com> or [raju].
  * New upstream release
  * texmacs does not build on ia64 since guile-1.8 FTBFS on ia64
    (bug #401400). So reduced the build dependency to guile-1.6-dev on
    ia64. All other architectures still depend upon guile-1.8-dev.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 27 Sep 2007 15:24:19 +0900

texmacs (1:1.0.6.10-1) unstable; urgency=low

  * New upstream release. [raju]
   - we decided to upload four digits version 1.0.6.x into unstable
     but will be prudent for future version (>= 1.0.7).
  * Build the package with pbuilder now.  [kohda]

 -- Atsuhito KOHDA <kohda@debian.org>  Sat, 19 May 2007 18:20:24 +0900

texmacs (1:1.0.6.9-4) unstable; urgency=low

  * Merged changelog of experimental and unstable so I hope package
    history is preserved completely.
  * Added "Kamaraju Kusumanchi" <kamaraju _at_ gmail.com> to Uploaders
    because he is a co-maintainer of the package.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 26 Apr 2007 09:52:37 +0900

texmacs (1:1.0.6.9-3) unstable; urgency=low

  * Updated english-japanese.scm
  * Fixed dependency; from teTeX to TeX Live.  Thanks to a great work for
    a packaging of TeX live 2007.  (Closes: #418660)
  * Fixed another dependency; added dependency on groff.  (Closes: #339581)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 16 Apr 2007 14:38:31 +0900

texmacs (1:1.0.6.9-2) experimental; urgency=low

  * New Maintainer.  Thanks for all who have taken care of the package so far.
    (Closes: #404375)

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 12 Mar 2007 12:49:19 +0900

texmacs (1:1.0.6.9-1) experimental; urgency=low

  * QA upload
  * New upstream release
    Hopefully closes: #412366

 -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 28 Feb 2007 23:07:20 +0100

texmacs (1:1.0.6.8-1) experimental; urgency=low

  * QA upload
  * New upstream release
  * Set maintainer to QA group; orphaned: #404375
  * TeXmacs is now theoretically compatible with Guile 1.8; let's test that.
  * Update B-D on x-dev to x11proto-core-dev
  * Make package binNMU-able

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 19 Jan 2007 11:52:54 +0100

texmacs (1:1.0.6-11) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #404375
  * Remove duplicate dependency on dpatch
  * Replace (= ${Source-Version}) with (= ${source:Version})

 -- Michael Ablassmeier <abi@debian.org>  Tue,  9 Jan 2007 12:39:56 +0100

texmacs (1:1.0.6-10) unstable; urgency=low

  * Integrate Patch from Andrey G. Grozin to interace with Maxima 5.10
    (Closes: #390022)

 -- René van Bevern <rvb@debian.org>  Tue,  3 Oct 2006 12:55:41 +0200

texmacs (1:1.0.6.6-1) experimental; urgency=low

  * New upstream release

  * (from texmacs 1:1.0.6-9) debian/control: Support including JPEG, PNG
    and many more graphics formats in documents

    + add imagemagick, librsvg2-bin to Recommends: for package "texmacs",
      as it is used by TeXmacs to convert JPEG and SVG images

    + add TeXmacs' Recommends also to Build-Depends: as TeXmacs wants to
      detect the graphic conversion utilities at build time to provide
      runtime support for them

 -- René van Bevern <rvb@debian.org>  Mon, 21 Aug 2006 18:58:05 +0200

texmacs (1:1.0.6-9) unstable; urgency=low

  * debian/texmacs-common.install: install tm_mathematica.c, it is needed
    at runtime to set up the Mathematica plugin

  * debian/control: Support including JPEG, PNG and many more graphics
    formats in documents

    + add imagemagick, librsvg2-bin to Recommends: for package "texmacs",
      as it is used by TeXmacs to convert JPEG and SVG images

    + add TeXmacs' Recommends also to Build-Depends: as TeXmacs wants to
      detect the graphic conversion utilities at build time to provide
      runtime support for them

 -- René van Bevern <rvb@debian.org>  Fri,  4 Aug 2006 12:44:49 +0200

texmacs (1:1.0.6-8) unstable; urgency=low

  * debian/patches/12-maxima-5.9.3.dpatch: backported version of Maxima
    plugin from TeXmacs 1.0.6.4 to work with Maxima 5.9.3. (Closes:
    #377750, #376695)

 -- René van Bevern <rvb@debian.org>  Tue, 11 Jul 2006 15:54:08 +0200

texmacs (1:1.0.6.4-1) experimental; urgency=low

  * New upstream release

  * Upstream has new file system accessing code and I could not reproduce
    #364386 in absence 02-check-existance.dpatch anymore, so the
    patch is removed

 -- René van Bevern <rvb@debian.org>  Tue, 27 Jun 2006 16:54:35 +0200

texmacs (1:1.0.6.3-1) experimental; urgency=low

  * New upstream release

  * debian/patches/00list: remove 05_gcc4.1.dpatch, upstream compiles
    cleanly with G++ 4.1 without it now.

 -- René van Bevern <rvb@debian.org>  Mon, 19 Jun 2006 22:48:19 +0200

texmacs (1:1.0.6-7) unstable; urgency=low

  * debian/control
    + add texmacs-extra-fonts to Recommends for texmacs
    + Standards-Version: update to 3.7.2 without changes

  * debian/patches/11-desktop-file.dpatch: take from Ubuntu the patch to
    update the .desktop file

  * debian/texmacs-common.install: install .desktop file to the right
    directory

 -- René van Bevern <rvb@debian.org>  Mon, 12 Jun 2006 19:07:43 +0200

texmacs (1:1.0.6.2-1) experimental; urgency=low

  * New upstream release

  * debian/control: make TeXmacs installable with TeXlive fonts
    (closes: #368205)

  * Update patches
    + 05_gcc4.1.dpatch, 01_american.dpatch updated
    + 09-indent-long-description.dpatch, removed, because applied upstream

 -- René van Bevern <rvb@debian.org>  Tue, 30 May 2006 18:11:49 +0200

texmacs (1:1.0.6.1-1) experimental; urgency=low

  * New development release, hence upload to experimental -- continuing
    the custom of Ralf Treinen

  * Adapted patches:
    + G++ 4.1 fixes for TeXmacs 1.6.0.1 added to 05_gcc4.1.dpatch
    + 01_american.dpatch 07_fig2ps.dpatch to apply without fuzz

  * debian/watch: check for latest development releases

  * debian/control: bump Standards-Version to 3.7.2 without changes

  * debian/rules: delete the newly introduced file
      usr/share/texmacs/TeXmacs/doc/devel/format/.log

 -- René van Bevern <rvb@debian.org>  Fri, 12 May 2006 23:29:20 +0200

texmacs (1:1.0.6-6) unstable; urgency=low

  * debian/patches/02-check-existance.dpatch: before loading any TeX
    files, check if they are really present in the file system
    (closes: #364386)

  * Add bug numbers to patches to better track them
    + 04_axiom.dpatch, 01_american.dpatch, 05_gcc4.1.dpatch,
      06_rebuild-r.dpatch, 09-indent-long-description.dpatch

  * Deactivate 02_config.dpatch
    + config.guess and friends are handled by CDBS

  * debian/control: remove Build-Depends on

    + g++ (>= 4:3.3.3) for !arm !m68k !hppa -- they are build-essential in
      sarge, etch and sid

    + g++ (>= 4:4.0.2-2) for arm m68k hppa -- they are build-essential in
      etch and sid, while the default g++ of sarge is able to build TeXmacs
      on these architectures

 -- René van Bevern <rvb@debian.org>  Sun, 23 Apr 2006 16:55:22 +0200

texmacs (1:1.0.6-5) unstable; urgency=low

  * Adopted the TeXmacs package.
    Thank you for the previous work, Ralf. (closes: #362958)

  * debian/patches/09-indent-long-description.dpatch: certain styles
    should not wrongly indent the headlines of long descriptions like
    paragraphs, i.e. "book", "article" and others. (closes: #357685)

  * debian/patches/10-tex_files.cpp.dpatch: manage this change via dpatch
    also, it has been included in the low-level diff.gz in previous
    TeXmacs packages

  * debian/rules:
    + transformed to CDBS. File list of the generated packages
      equal the ones from the previous version, so it should be fine. ;-)

    + took rebuilding of the R plugin out, it is now done using dpatch in
      debian/patches/06_rebuild-r.dpatch

 -- René van Bevern <rvb@debian.org>  Wed, 19 Apr 2006 21:57:15 +0200

texmacs (1:1.0.6-4) unstable; urgency=low

  * Patch 05_gcc-4.1: Patches by Martin Michlmayr and Rene van Bevern
    to make compilation with gcc-4.1 work. Thanks, guys! (closes: Bug#356305)

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 Apr 2006 00:33:27 +0200

texmacs (1:1.0.6-3) unstable; urgency=low

  * Applied Magnus Ekdahl's patch to replace build-dependency on xlibs-dev
    by "libxt-dev, libx11-dev, x-dev" (closes: Bug#347094).

 -- Ralf Treinen <treinen@debian.org>  Mon, 23 Jan 2006 20:13:16 +0100

texmacs (1:1.0.6-2) unstable; urgency=low

  * Use again gcc-4.0 on [arm m68k hppa] (closes: Bug#343024).
  * Compile for dynamic linking on all architectures since it now also
    works on ia64. This should resolve the recent ia64 autobuilder failures
    which occurred with version 1.0.6-1.

 -- Ralf Treinen <treinen@debian.org>  Fri, 23 Dec 2005 09:24:10 +0100

texmacs (1:1.0.6-1) unstable; urgency=low

  * New upstream release. This release fixes
    - a wrong font name at startup (closes: Bug#251478).
    - a bug with the Euler New Roman math font (closes: Bug#187691).
  * Dependencies:
    - now depends on "gs-gpl" instead of "gs-gpl|gs".
    - added dependency on groff, which provides pfbtops (closes: Bug#339581).
    - added dependency on bash since needed by some plugins
  * Removed patches since fixed by upstream:
    - 05_maxima-detect
    - 11_manpage_section
    - 12_config_amd64
    - 13_configure_hppa64
    - 14_gpp4.0_forward_declaration
  * Removed call to "autoconf" from debian/rules, and dependency from the
    autoconf package, since they are no longer needed.
  * Symlink /usr/share/doc/texmacs/examples ->
    /usr/share/texmacs/TeXmacs/examples (closes: Bug#324242).
  * Switch from static linkining to dynamic linking on alpha architecture
    (closes: Bug# 318100).
  * debian/watch file version 3 and with regexp for experimental versions.
  * Patch 01_american: adapt the portion applying to the lisp code to the
    new structure of the texmacs lisp library.

 -- Ralf Treinen <treinen@debian.org>  Sat,  3 Dec 2005 19:14:50 +0100

texmacs (1:1.0.5-4) unstable; urgency=low

  * Downgraded dependency of texmacs-common on texmacs to Recomends in
    order to avoid circular dependency (closes: Bug#339926).
  * Texmacs now depends on "gs-gpl|gs" instead of merely Recommending gs.
  * debian/texmacs-common.menu: specify that the texmacs command is
    provided by the package texmacs. Remove the corresponding
    lintian-override since it is obsolte now.
  * Acknowledge NMU (closes: Bug#334039).
  * Removed some cruft from the end of debian/changelog.
  * Updated FSF address in debian/copyright.
  * Activated patch 10_mupad (fix perl invocation in perl script).

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 Nov 2005 16:17:35 +0100

texmacs (1:1.0.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * work around gcc-4.0 FTBFS on some architectures

 -- LaMont Jones <lamont@debian.org>  Fri, 14 Oct 2005 19:28:41 +0000

texmacs (1:1.0.5-3) unstable; urgency=low

  * Rebuild with gcc-4.0.
    - Patch gpp4.0_forward_declaration: forward declaration in case of
      mutually dependent classes.
  * Desactivated patch 03_maxima since issue seems to be solved by upstream.
  * Modified patch 04_axiom: call axiom with additional options "-noht"
    and "-nogr" to work around bug #309727, as suggested by Dylan Thurston
    (thanks!) (closes: Bug#316916).
  * Standards-Version 3.6.2 (no change).
  * debian/watch: version 3, fix regular expression for version numbers.

 -- Ralf Treinen <treinen@debian.org>  Sat, 16 Jul 2005 16:38:17 +0200

texmacs (1:1.0.5-2) unstable; urgency=low

  * Removed patch 09_config_hppa64: Fixed by upstream.
  * New patch 13_config_hppa64: Fix pattern for architecture string.

 -- Ralf Treinen <treinen@debian.org>  Thu, 28 Apr 2005 20:36:47 +0200

texmacs (1:1.0.5-1) unstable; urgency=low

  * New upstream release
  * Modified patch 09_config_hppa64: adapt to new upstream
  * Modified patch 05_maxima_detect: avoid bashism - use "which" instead
    of "type -p"
  * Removed patch 10_mupad - seems no longer to be necessary
  * Modified patch 12_config_amd64: now relative to configure block
    provided by upstream for amd64. Use better WORD_MASK, and remove
    spurious entry for x86_64. Also, change some type casts from (int) to
    (long) (thanks to Andreas Jochens for the patch).

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Apr 2005 20:50:01 +0200

texmacs (1:1.0.4-R3-5) unstable; urgency=low

  * Rebuild the R plugin. Thanks to Albrecht Gebhardt for the proposed
    patch (closes: Bug#295715). This makes it necessary to build-depend
    on r-base-core (>= 2.0).
  * Enhances r-base.

 -- Ralf Treinen <treinen@debian.org>  Sun, 20 Feb 2005 09:28:55 +0100

texmacs (1:1.0.4-R3-4) unstable; urgency=high

  * Re-inserted dependency of the Makefile target on patch target.
  * Undid recompression of manpage since this is done by a dpatch
  * Removed mention of src-stamp in clean target since this file is
    not used.

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Dec 2004 05:30:36 +0100

texmacs (1:1.0.4-R3-3) unstable; urgency=high

  * Introduced an epoch in the version number to overwrite an accidential
    upload of experimental version 1.0.4.4 to the unstable archive.
  * Build-depend on guile-1.6 since this package contains guile-1.6-config.
  * Moved dependency of xbase-clients from the texmacs-common package to
    the texmacs package.
  * Re-compress texmacs.1 manpage with maximal compression

 -- Ralf Treinen <treinen@debian.org>  Mon, 20 Dec 2004 09:47:35 +0100

texmacs (1.0.4.4-2) unstable; urgency=high

  * Applied  Lionel Elie Mamane's patch, making configure detect the
    correct arch (closes: Bug#283670)
  * Added dependency on xbase-clients (closes: Bug#283912)
  * Added Makefile stamp so Makefile isn't run every time (closes:
    #283671)

 -- Magnus Ekdahl <magnus@debian.org>  Sat,  4 Dec 2004 17:43:05 +0100

texmacs (1.0.4-R3-2) unstable; urgency=low

  * Removed the "netpbm-nonfree" package from the Suggests list since
    ppmtogif is now in the netpbm package. Updated README.graphic-formats
    accordingly (closes: #271683).
  * Patch 12_config_amd64: configure.in block for amd64 architecture
    (closes: Bug#271991).

 -- Ralf Treinen <treinen@debian.org>  Fri, 17 Sep 2004 20:16:49 +0200

texmacs (1.0.4-R3-1) unstable; urgency=low

  * New upstream release
  * Remove spurious blank lines in control file to help woody backporters
    (closes: #265401).
  * Install upstream's texmacs.deskop file instead of our own.
  * Removed spurious debian/missfonts.log file

 -- Ralf Treinen <treinen@debian.org>  Tue, 31 Aug 2004 22:07:57 +0200

texmacs (1.0.4-R2-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Tue,  3 Aug 2004 18:08:56 +0200

texmacs (1.0.4-2) unstable; urgency=low

  * Invoce autoconf in the "configure" target in order to make the patch
    to configure.in effective. Added autoconf to the build-dependencies.
  * Clean target removes generated file misc/admin/admin.makefile
  * Put the lintian override in the texmacs-common package
  * Removed from the diff the spurious code for maxima detection which had
    been inserted into System/Boot/init_texmacs.cpp

 -- Ralf Treinen <treinen@debian.org>  Sat, 31 Jul 2004 13:51:20 +0200

texmacs (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Added Magnus Ekdahl as uploader of the package.
  * Adapted patch 01_american to upstream version 1.04.
  * Removed patch 06_stylesdoc since fixed by upstream now.
  * Adapted patch 09_config_hppa64 to upstream version 1.0.4.
  * Adapted patch 11_manpage_section to upstream version 1.0.4.
  * Added a lintian override for the menu file being in texmacs-common

 -- Ralf Treinen <treinen@debian.org>  Thu, 29 Jul 2004 22:45:09 +0200

texmacs (1.0.3-R2-4) unstable; urgency=low

  * Re-introduced patch 05_maxima_detect (makes maxima_detect a bash
    script instead of a /bin/sh script) since this is not fixed yet in
    upstream (closes: #250278).
  * Dependencies between texmacs and texmacs-common on exactly the same
    source-version.
  * Patch 11_manpage_section: Fix section number of texmacs manpage

 -- Ralf Treinen <treinen@debian.org>  Wed, 21 Jul 2004 21:12:42 +0200

texmacs (1.0.3-R2-3) unstable; urgency=low

  * Patch 10_mupad: fix perl invocation in mupad plugin.

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 Apr 2004 20:34:00 +0200

texmacs (1.0.3-R2-2) unstable; urgency=low

  * Patch 09_config_hppa64: Correct WORD_MASK etc. for hppa which is only
    32-bit in user space. Thanks a lot to Lamont Jones (closes: Bug#242482).
  * Configuration options: use OPTFLAGS="" by default, instead of forcing
    "--disable-optimize".

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Apr 2004 11:05:27 +0200

texmacs (1.0.3-R2-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/watch, and accomodate for sub-releases of stable upstream
    versions.
  * Removed patch 05_maximadetect (fixed by upstream).
  * Disabled compiler optimization. Fixes crash on typesetting the complete
    manual.
  * Simplified variables in debian/rules (dropped TMV).
  * Replaced non-ascii character in changelog entry for 1.0.0.7-1.

 -- Ralf Treinen <treinen@debian.org>  Tue,  6 Apr 2004 21:50:05 +0200

texmacs (1.0.3-7) unstable; urgency=low

  * Simplified gcc/g++ dependency to "g++ (>= 4:3.3.3)" (thanks to
    Matthias Klose for the hint).
  * Added debian/watch.
  * Copyright: added copyright owner.
  * Don't use dh_installmanpages, patch Makefile.in (08_gzipbest.dpatch) to
    use maximal compression level
  * Install fig2ps in /usr/lib/texmacs to avoid conflicts with the fig2ps
    package.

 -- Ralf Treinen <treinen@debian.org>  Mon,  5 Apr 2004 23:07:22 +0200

texmacs (1.0.3-6) unstable; urgency=low

  * Declare in texmacs-common: Replaces: texmacs (<= 1.0.3-4).
    (closes: Bug#236143).
  * Quote all strings in texmacs-common.menu.
  * Added to dependency of texmacs-common on texmacs that >= 1.0.3-5.

 -- Ralf Treinen <treinen@debian.org>  Thu,  4 Mar 2004 21:09:20 +0100

texmacs (1.0.3-5) unstable; urgency=low

  * Split off an arch-independent package texmacs-common (closes: Bug#233450).
  * Compile with gcc-3.3 on hppa, specify the minimal version of gcc that we
    know to compile texmacs on hppa (closes: Bug#199701).
  * patch 06_stylesdoc: backport modification of the documentation on writing
    styles files, to fix incorrect documentation on keyboard shortcuts.
    (closes: Bug#219598).
  * Removed in debian/rules useless target to purge the font directory.
  * Removed dh_installinfo in debian/rules (there are no info files).
  * Removed debian/doc-base.texmacs since we don't need it.
  * Removed the --disable-guess-guile flag from .configure invocation
    (upstream's ddaa says it is obsolete).
  * Have the clean target of debian rules remove config.log
  * make awk scripts in /usr/share/texmacs/TeXmacs/langs/encoding executable.

 -- Ralf Treinen <treinen@debian.org>  Thu, 19 Feb 2004 21:48:13 +0100

texmacs (1.0.3-4) unstable; urgency=low

  * patch 05_maximadetect: make maxima_detect a /bin/bash script.
    (closes: Bug#229880).

 -- Ralf Treinen <treinen@debian.org>  Mon,  2 Feb 2004 20:57:29 +0100

texmacs (1.0.3-3) unstable; urgency=low

  * debian/rules: put LDBSTATIC flag for compilation on ia64 only (should
    solve autobuild failure on ia64)

 -- Ralf Treinen <treinen@debian.org>  Sun, 25 Jan 2004 20:57:39 +0100

texmacs (1.0.3-2) unstable; urgency=low

  * patch 04_axiom: change in the axiom plugin "AXIOMsys" to "/usr/bin/axiom"
    (closes: Bug#229172).
  * debian/rules: removed the LDBSTATIC flag from the make invokation.
  * Added build-dependency on libfreetype6-dev.
  * Removed packages for computer algebra systems from the suggests, put
    them instead in the least of enhances.
  * Added enhances on octave, yacas, axiom.

 -- Ralf Treinen <treinen@debian.org>  Fri, 23 Jan 2004 21:19:45 +0100

texmacs (1.0.3-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Wed, 14 Jan 2004 19:52:56 +0100

texmacs (1.0.2.10-1) experimental; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Wed, 10 Dec 2003 20:12:24 +0100

texmacs (1.0.2.9-1) experimental; urgency=low

  * New upstream release
  * removed patch for german date - fixed by upstream

 -- Ralf Treinen <treinen@debian.org>  Fri, 28 Nov 2003 20:28:40 +0100

texmacs (1.0.2.8-1) experimental; urgency=low

  * New upstream release
  * removed patch for finnish dictionary - fixed by upstream
  * removed patch for the freetype plugin - fixed by upstream

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 Nov 2003 20:47:31 +0100

texmacs (1.0.2.7-2) experimental; urgency=low

  * Restored the finnish dictionary from version 1.0.2 (closes:
    Bug#220463).
  * Fixed german date format (06_germandate.dpatch).
  * Fixed 01_american.dpatch (language "american" in context menu)

 -- Ralf Treinen <treinen@debian.org>  Sun, 16 Nov 2003 19:58:09 +0100

texmacs (1.0.2.7-1) experimental; urgency=low

  * New upstream release
  * debian/patches/04_freetype: Fix by Joris van der Hoeven (thanks!) to
    fix compilation of the Freetype plugin.

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Nov 2003 20:42:06 +0100

texmacs (1.0.2.6-1) experimental; urgency=low

  * New upstream release
  * Adapted 01_american.dpatch to upstream's modification of the menu
    files.

 -- Ralf Treinen <treinen@debian.org>  Mon,  3 Nov 2003 20:21:29 +0100

texmacs (1.0.2-3) unstable; urgency=low

  * Build-depends: removed erroneous space in [! hppa] (closes: Bug#216640).

 -- Ralf Treinen <treinen@debian.org>  Wed, 29 Oct 2003 10:30:20 +0100

texmacs (1.0.2-2) unstable; urgency=low

  * Build against guile1.6 instead of guile1.4 (thanks to Philippe
    Audebaud for the hint).

 -- Ralf Treinen <treinen@debian.org>  Sat, 27 Sep 2003 13:48:08 +0200

texmacs (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Thu, 25 Sep 2003 22:42:03 +0200

texmacs (1.0.1.24-1) unstable; urgency=low

  * New upstream release. This upstream release fixes a bug with search
    in the online documentation (closes: Bug#209187).
  * Removed instruction from debian/rules which moved the internal binary
    tm_gs out of /usr/bin (upstream has fixed his installer).
  * Enable optimization flags to gcc (default), force gcc >= 3.3 (except
    hppa).
  * Updated patch 03_maxima since upstream changed his file formatting.
  * Remove the CPPFLAG setting introduced in 1.0.16-2 - no longer needed.

 -- Ralf Treinen <treinen@debian.org>  Mon, 22 Sep 2003 21:11:56 +0200

texmacs (1.0.1.21-2) unstable; urgency=low

  * File src/System/Boot/init_texmacs.cpp: remove code to set
    TM_MAXIMA_HOME. Modified plugins/maxima/progs/maxima-init.scm to use
    directly the right location of maxima-toc.html instead of the
    TM_MAXIMA_HOME variable. Thanks a lot to Jarno Elonen for the hint!
    (closes: Bug#195954).
  * Standards-Version: 3.6.1.0

 -- Ralf Treinen <treinen@debian.org>  Sun,  7 Sep 2003 17:36:30 +0200

texmacs (1.0.1.21-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Sun,  3 Aug 2003 19:16:11 +0200

texmacs (1.0.1.16-2) unstable; urgency=low

  * debian/rules: set CPPFLAG to -ITeXmacs/include to resolve the autobuilder
    failures on 1.0.1.16-1.

 -- Ralf Treinen <treinen@debian.org>  Mon, 14 Jul 2003 22:15:00 +0200

texmacs (1.0.1.16-1) unstable; urgency=low

  * New upstream release.
  * Removed bogus file debian/rules.new.
  * Converted to the dpatch patch managing system:
    - Build-depends on dpatch
    - debian/rules: include dpatch.make, have the Makefile target depend
      on patch, and the clean target depend on unpatch.
    - create directory debian/patches, and put there the patches for
      implementing the "american" and "british" languages.
  * debian/rules: call configure with the new --disable-guess-guile option.
    This makes the old patch to disable guile guessing obsolete.
  * Removed the "getupstreamversion" script from the debian directory. We
    don't need it any more since upstream stopped to change names of
    subdirectories with every version.
  * Add a patch 02_config.dpatch to replace config.{guess,sub} by symbolic
    links to the respective files in /usr/share/misc.  Build-depend on
    autotools-dev.
  * Don't install extra GPL copy in TeXmacs/plugins/octave/doc.
  * Standards-Version 3.6.0.
  * Force use of g++-3.2 and gcc-3.2 on hppa (build-depends; set in
    debian/rules variables CC an CXX accordingly before invoking
    configure_.  This should resolve temporarily the failure to build on
    hppa (Bug# 199701).

 -- Ralf Treinen <treinen@debian.org>  Mon, 14 Jul 2003 17:47:18 +0200

texmacs (1.0.1.14-2) unstable; urgency=low

  * Fixed setting of guile_path in src/System/Boot/init_texmacs.cc
    (closes: Bug#194587).
  * Fixed a typo ("url->resolve") in
    TeXmacs-1.0.1.14/progs/texmacs/texmacs/tm-help.scm.

 -- Ralf Treinen <treinen@debian.org>  Sun, 25 May 2003 20:56:53 +0200

texmacs (1.0.1.14-1) unstable; urgency=low

  * New upstream release. This release fixes an upstream bug causing
    crash in the Mathematics menu (closes: Bug#193558).
  * Move DH_COMPAT from debian/rules to debian/compat.
  * Build-Conflicts: guile-1.6.-libs.

 -- Ralf Treinen <treinen@debian.org>  Fri, 23 May 2003 21:31:28 +0200

texmacs (1.0.1.9-6) unstable; urgency=low

  * Patched the gs call in src/Window/X/x_drawable.cc (option -dNOEPS),
    as proposed by Kostas Oikonomou (closes: Bug#190102).

 -- Ralf Treinen <treinen@debian.org>  Sun, 11 May 2003 13:16:35 +0200

texmacs (1.0.1.9-5) unstable; urgency=low

  * Removed the forcing of gcc-3.2 for mips[el] in debian/rules, and the
    build-dependency on gcc,g++ 3.2 for mips[el] (closes: Bug#191049).
  * Fixed in debian/rules the test for noopt in DEB_BUILD_OPTIONS, and
    commented it out since gcc optimization currently makes texmacs fail
    (closes: Bug#191053).
  * Patched src/Edit/Replace/edit_spell.cc to implement better search for
    ispell dictionnaries.

 -- Ralf Treinen <treinen@debian.org>  Sat,  3 May 2003 13:51:58 +0200

texmacs (1.0.1.9-4) unstable; urgency=low

  * Recompiled since the binary package version 1.0.1.9-3 for i386
    accidentially used guile 1.6 instead of guile 1.4. However, guile 1.6
    hangs when called from within texmacs (reported to upstream BTS, #3345
    at savannah). Closes: Bug#190900.
  * Standards-Version: 3.5.9
  * Extended description: removed the paragraph about future developments.

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 Apr 2003 18:55:50 +0200

texmacs (1.0.1.9-3) unstable; urgency=low

  * Put back into the texmacs package the prebuild pk font files, since
    texmacs seems to be unable to launch mktexpk. This seems to be the
    same bug than the one that lead to bug#189547.(closes: Bug#190807).

 -- Ralf Treinen <treinen@debian.org>  Sat, 26 Apr 2003 12:10:31 +0200

texmacs (1.0.1.9-2) unstable; urgency=low

  * Undid the attempt to remove font files that are already present in
    tetex. TeXmacs seems to be unable to start mktextfm, hence we just
    leave the tfm files which are distributed with the original texmacs.
    (closes: Bug#189547). Thanks to Karl Hegbloom for his assistance.

 -- Ralf Treinen <treinen@debian.org>  Wed, 23 Apr 2003 22:32:49 +0200

texmacs (1.0.1.9-1) unstable; urgency=low

  * New upstream release.
  * Removed a bogus trace file from the diff which had slipped in by accident.

 -- Ralf Treinen <treinen@debian.org>  Mon,  7 Apr 2003 22:39:46 +0200

texmacs (1.0.1.4-3) unstable; urgency=low

  * Added Recommends "libjpeg-progs | libjpeg-mmx-progs" and
    libtiff-tools, and Suggests netpbm-nonfree. Installed an explanation
    about graphics format conversion programs in file
    /usr/share/doc/README.graphic-formats (closes: Bug#183715).
  * File misc/axiom/tm_axiom.c, functions tail, iline and line:
    Changed declaration of c from char to int (closes: Bug#182164).

 -- Ralf Treinen <treinen@debian.org>  Mon, 10 Mar 2003 21:46:15 +0100

texmacs (1.0.1.4-2) unstable; urgency=low

  * Removed the setting of CC=2.95 which has accidentially slipped in.
  * Disable compiler optimzation (known bug)

 -- Ralf Treinen <treinen@debian.org>  Sun, 16 Feb 2003 18:42:26 +0100

texmacs (1.0.1.4-1) unstable; urgency=low

  * New upstream release. This upstream release closes: Bug#177248.

 -- Ralf Treinen <treinen@debian.org>  Sun, 16 Feb 2003 16:12:00 +0100

texmacs (1.0.1-2.1) unstable; urgency=low

  * Experimental - with gcc 2.95

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 Jan 2003 15:44:15 +0100

texmacs (1.0.1-2) unstable; urgency=low

  * Use the config.guess of [2002/11/30] since the one coming with the
    upstream source does not recognize mipsel.
  * debian/rules: Compile without optimizations (assuming that gcc 3.2
    is used - there is a known bug in either texmacs or gcc, which makes
    texmacs crash when compiled with gcc-3.* and optimization).
  * configure.in: fixed a bug which prevented enabeling of compiler
    optimizations for gcc-3.* .

 -- Ralf Treinen <treinen@debian.org>  Sat, 11 Jan 2003 20:14:32 +0100

texmacs (1.0.1-1) unstable; urgency=low

  * New upstream release (closes: Bug#173804).
  * Created a new TeXmacs icon (32x32, reduced color), using upstream
    TeXmacs.xpm.
  * Removed build-dependency on g++ >= 2.95.2 since there are no older gcc
    than that in woody.
  * Build-dependency on gcc,g++ >= 3.2 on mips,mipsel.
  * debian/rules: added a target "src" to prepare the source tree. List
    the fonts present in tetex in debian/tetex-fonts, and use the contents
    of this file to purge the font directory.
  * copyright: added GNU Free Documentation Licence for the documentation.
  * Don't install the pk files of the fonts.

 -- Ralf Treinen <treinen@debian.org>  Sun, 29 Dec 2002 14:45:06 +0100

texmacs (1.0.0.23-1) unstable; urgency=low

  * New upstream release.
  * debian/rules, target clean: added removal of
    TeXmacs-<version>/misc/pixmaps/.xvpics (closes: Bug#169827).
  * Removed some cruft (LOCALINST) from debian/rules
  * Standards Version: 3.5.8. Added to debian/rules code to honor
    DEB_BUILD_OPTIONS.
  * debian/rules: removed code to install texmacs.dvi, as this file is
    no longer part of the texmacs distribution. Removed the texmacs.dvi
    entry in doc-base.texmacs.
  * DH_COMPAT=4, build-depends on debhelper >= 4.0.
  * Removed build-dependency on autoconf, since we don't need it.
  * Removed README.Debian, since it is obsolete now.
  * debian/rules: remove setting of optimization options in the rules
    file, use the optimization flags provided by upstream instead.
  * Applied patch by David Allouche to cleanup pointer hashing.
  * The -fPIC compilation flag now in configure.in.
  * Compile with gcc 3.2 on mips and mipsel.
  * Replace configure-stamp by dependency on Makefile.
  * Use the ngerman dictionary for the german language (file:
    src/Edit/Replace/edit_spell.cc).

 -- Ralf Treinen <treinen@debian.org>  Tue, 17 Dec 2002 23:52:59 +0100

texmacs (1.0.0.17-5) unstable; urgency=low

  * Changed in Edit/Modify/edit_text.hh and in Edit/editor.hh the
    declaraion of make_postscript: The next-to-last argument should be x2,
    instead of y2. Closes: Bug#160254.

 -- Ralf Treinen <treinen@debian.org>  Sat, 26 Oct 2002 23:14:33 +0200

texmacs (1.0.0.17-4) unstable; urgency=low

  * Better support for Finnish: Create a basic dictionary
    english-finnish.scm, and add finnish word definitions to TeXmacs.sty
    (thanks to Kalle Olavi Niemitalo <kon@iki.fi> for his help). Add
    "\usepackage[finnish]{babel}" when converting to LaTeX (file
    tmtex-preamble.scm). Closes: Bug #16333.

 -- Ralf Treinen <treinen@debian.org>  Sat,  5 Oct 2002 14:28:55 +0200

texmacs (1.0.0.17-3) unstable; urgency=low

  * configure.in: Added entries for mips, mipsel, arm.
  * configure.in: changed in the *linux-gnu* fallback the value of
    CONFIG_OS to GNU_LINUX.
  * Added support for the Finnish language (closes: Bug#163338). Files
    src/Resource/Languages/text_language.cc,
    src/Resource/Dictionaries/dictionary.cc, and some menus.

 -- Ralf Treinen <treinen@debian.org>  Fri,  4 Oct 2002 22:10:30 +0200

texmacs (1.0.0.17-2) unstable; urgency=low

  * Added in configure.in in the code for *linux-gnu* variable settings
    CONFIG_OS_SUFFIX and CONFIG_CXXOPTIMIZE. This should resolve the
    compile problems on mips{el} seen with 1.0.0.17, and at least get back
    to the state achieved with 1.0.0.16-2.
  * Compile with -fPIC (closes: Bug#162644).

 -- Ralf Treinen <treinen@debian.org>  Sat, 28 Sep 2002 11:13:46 +0200

texmacs (1.0.0.17-1) unstable; urgency=low

  * New upstream release.
  * Changed the menu entries from "English" to "American" (various lisp
    files in TeXmacs-*/progs/menu). Changed the test on the LANG variable
    in function locale_to_language, file text_language.cc, to accept any
    string with prefix "en_GB" for British (closes: Bug#161588).
  * Run autoconf, to make the addition of hppa64 to configure.in effective
    (should have done this for 1.0.0.16-2 :-( )
  * configure.in: Added display of the versions of gcc and g++.

 -- Ralf Treinen <treinen@debian.org>  Mon, 23 Sep 2002 09:22:14 +0200

texmacs (1.0.0.16-2) unstable; urgency=low

  * debian/rules: removed some cases in the architecture test which are
    useless since subsumed by the default case.
  * configure.in: Added detection of and setting for hppa64 (the same as
    for ia64).

 -- Ralf Treinen <treinen@debian.org>  Mon, 16 Sep 2002 20:22:47 +0200

texmacs (1.0.0.16-1) unstable; urgency=low

  * New upstream release.
  * Build as "TEXMACS" on archs where "MIXED_TEXMACS" used to be build,
    since the MIXED_TEXMACS target disappeared from the upstream Makefile.
  * mips/mipsel: removed the forcing of gcc-3.1 (earlier, mips(el)
    autobuilders failed with gcc-2.95. This is to give the new build-system
    a try).
  * removed the no-implict-templates option from invocations of make in
    debian/rules, to accomodate for the new gencc-free build system.

 -- Ralf Treinen <treinen@debian.org>  Sun, 15 Sep 2002 19:39:49 +0200

texmacs (1.0.0.7-2) unstable; urgency=low

  * Fixed the specification of CC and CXX for make (file debian/rules).
  * Added a configure.in section for sparc*-*-linux-gnu (closes:
    Bug#123834). Compile for sparc and sparc64 to MIXED_TEXMACS.

 -- Ralf Treinen <treinen@debian.org>  Thu, 27 Jun 2002 08:53:26 +0200

texmacs (1.0.0.7-1) unstable; urgency=low

  * New upstream release.
  * Remove the Build-Conflicts with g{cc,++} >= 2:3.0, since Stephane
    Payrard posted to the texmacs-dev that it compiles now with gcc 3.1.1.
    Applied his patch to src/Convert/Connect/pipes.gen.cc (declaration of
    connection_start).
  * Force gcc 3.1 on mips and mipsel

 -- Ralf Treinen <treinen@debian.org>  Sat, 15 Jun 2002 17:12:25 +0200

texmacs (1.0.0.6-3) unstable; urgency=low

  * Exclude "tm_axiom" from dh_shlibdeps (ldd tm_axiom => not a dynamic
    executable). The autobuilders have choked on this.

 -- Ralf Treinen <treinen@debian.org>  Thu,  6 Jun 2002 15:35:50 +0200

texmacs (1.0.0.6-2) unstable; urgency=low

  * Use $(shell ...) call in rules to call the script which gives us the
    current upstream version (closes: Bug#149061). Rename
    debian/gettmversion into debian/getupstreamversion.
  * Add autoconf entry for  ia64 architecture, and case for ia64 in
    debian/rules (seems only to work for static texmacs).
  * Add autoconf entry for *-*-linux-gnu. Set architecture to "any"
    (keep you fingers crossed !)

 -- Ralf Treinen <treinen@debian.org>  Wed,  5 Jun 2002 22:08:48 +0200

texmacs (1.0.0.6-1) unstable; urgency=low

  * New upstream release.
  * Create debian/texmacs.desktop derived from the upstream texmacs.desktop.
    Install it in /usr/share/gnome/apps and /usr/share/applnk/Editors.
  * Install texmacs.applications in /usr/share/application-registry.
  * Install pixmaps in /usr/share/pixmaps, change TEXMACS_PIXMAPS_PATH
    accordingly (file src/Basic/System/dir.gen.cc). Keep a symlink in
    /usr/share/pixmaps since some texmaps documents seem to carry the
    pixmaps path (upstream bug?)
  * Remove our TeXmacs-small.xpm, use upstream texmacs icons instead.
  * Added texmacs.mime.
  * Use "american" ispell dictionary for the "english" language (file
    src/Edit/Replace/edit_spell.gen.cc). From now on we use in the
    user menus the language options "british" and "english", the latter
    standing for "american". This to follow upstream usage.

 -- Ralf Treinen <treinen@debian.org>  Tue,  4 Jun 2002 20:31:24 +0200

texmacs (1.0.0.1-3) unstable; urgency=low

  * Added in src/Basic/System/file.gen.cc in the defintion of the function
    set_env a case for "alpha=gnu-linux" (closes: Bug#147455).
  * Added the missing CONFIG_LSTATIC="-static" for *alpha* in configure.in

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 May 2002 20:23:42 +0200

texmacs (1.0.0.1-2) unstable; urgency=low

  * Run autoconf to activate the modifications done to configure.in
    for 1.0.0.1-1 (shame on me)
  * Added compiler flag LDBSTATIC="-lltdl" since recently the compilation
    of static texmacs failed on linking (undefined reference to
    lt_dlopenext etc.). Added build-dependency on libltdl3-dev.

 -- Ralf Treinen <treinen@debian.org>  Tue,  9 Apr 2002 21:02:36 +0200

texmacs (1.0.0.1-1) unstable; urgency=low

  * New upstream release (closes: Bug#140905 - upstream bug).
  * Added alpha setting to configure.in.
  * Use in debian/rules for the sparc architectures the vanilla options
    (OPTFLAGS="-O2"; TARGET="STATIC_TEXMACS"), since upstream reports
    that he cannot reproduce the sparc crash when compiled as static,
    and since recently the autobuilder choked on compiling texmacs.

 -- Ralf Treinen <treinen@debian.org>  Sun,  7 Apr 2002 19:42:20 +0200

texmacs (1.0-2) unstable; urgency=low

  * Added alpha architecture, compiled as static since dynamic and mixed
    texmacs crash on alpha (closes: Bug104358).
  * Changed compiler flag for sparc from -O3 to -O2, since sparc autobuilder
    choked on texmacs 1.0-1.
  * Fixed typo in description (closes: Bug#139905).

 -- Ralf Treinen <treinen@debian.org>  Sat, 30 Mar 2002 12:41:23 +0100

texmacs (1.0-1) unstable; urgency=low

  * New upstream release
  * Remove -O2 compile flag for m68k since all m68k autobuilders failed
    on 0.3.5.12 with this option enabled.

 -- Ralf Treinen <treinen@debian.org>  Sat, 16 Mar 2002 15:39:05 +0100

texmacs (0.3.5.12-3) unstable; urgency=low

  * Added in debian/rules compile flags for m68k as provided by Rick
    Younie <rick@def.debian.net> (thanks!). Closes: Bug#135969.
  * Replaces "english" language by "british" and "american" (Closes:#135683).

 -- Ralf Treinen <treinen@debian.org>  Thu, 28 Feb 2002 14:42:21 +0100

texmacs (0.3.5.12-2) unstable; urgency=low

  * Remove the debconf code that generates fonts at installation time,
    since debconf-devel says: "The config script should not need to modify
    the filesystem at all". Closes: Bug#134766.

 -- Ralf Treinen <treinen@debian.org>  Wed, 20 Feb 2002 18:32:20 +0100

texmacs (0.3.5.12-1) unstable; urgency=low

  * New upstream release.
  * Compile as MIXED_TEXMACS, such that no dynamic texmacs libraries are
    created and only external libraries are dynamically linked. According
    to the upstream author: "Static linking eliminates all unused
    routines, so the generated code will be shorter and slightly faster."
  * Updated package description, using the text from upstream rpm spec.
  * Set in debian/rules compiler flags for architectures i386, sparc, sparc64,
    powerpc, using the values from the upstream rpm spec. Use the variable
    DEB_BUILD_ARCH instead of inquiring dpkg-architecture.
  * Force creation of the link /usr/share/texmacs/TeXmacs-*/LICENSE to
    the GPL standard license.
  * TeXmacs-*/misc/latex/post.tex: add package "color" in the \usepackage
    (patch sent in by Juhan Ernits <juhan@cc.ioc.ee> - thanks!)
    Closes: Bug#134321.
  * Added debconf script to pre-generate TeX fonts.

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Feb 2002 20:29:02 +0100

texmacs (0.3.5.8-2) unstable; urgency=low

  * Enable m68k architecture since texmacs compiles and runs on m68k (thanks
    to Rick Younie for reporting this). Closes: Bug#133525.
  * Fixed a typo in short description (closes: Bug#125417).

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Feb 2002 20:52:11 +0100

texmacs (0.3.5.8-1) unstable; urgency=low

  * New upstream release.
  * Enabled s390 architecture (closes: Bug#123307).
  * Removed xdvi from Suggests since it is part of tetex-bin (which texmacs
    already depends on).
  * Some cleanup in debian/rules.
  * clean target in debian/rules: call "make distclean" instead of "make
    clean".
  * Removed gruft from diff file (generated files that should not be
    there anyway, and changes that have been incorporated by upstream).
    Removed the patches from Makefile.in, everything can be controlled
    from debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Dec 2001 18:42:28 +0100

texmacs (0.3.5.0-1) unstable; urgency=low

  * New upstream release
  * With this version upstream has incorporated my patch to determine
    the default paper size according to the libpaperg mechanism
    (closes: Bug#110745).
  * Fixed location of the texmacs.dvi.gz as given in doc-base.texmacs
    (closes: Bug#110399).
  * Changed the Document line in doc-base.texmacs to texmacs.
  * Removed user variable setting in changelog file.
  * Renamed README.debian into README.Debian.
  * Added build-conflicts on gcc >= 2:3.0 and g++ >=2:3.0 since texmacs does
    currently not compile on gcc-3. Added a note on this to README.Debian.
  * Added "Suggests: wget, maxima, pari-gp".
  * Added "Enhances: maxima, pari-gp".
  * Added "Architecture: hurd-i386".
  * Have the clean target remove config.cache and config.status.

 -- Ralf Treinen <treinen@debian.org>  Fri, 12 Oct 2001 20:43:07 +0200

texmacs (0.3.4.6-2) unstable; urgency=low

  * reset the architecture field to "i386, sparc, powerpc" since it was
    accidentially set to "any".
  * changed datadir from /usr/share/lib/texmacs to /usr/share/texmacs.

 -- Ralf Treinen <treinen@debian.org>  Fri,  3 Aug 2001 20:30:10 +0200

texmacs (0.3.4.6-1) unstable; urgency=low

  * New upstream release
  * moved from a statically linked texmacs to a dynamically linked texmacs
    which uses shared libraries as "plug ins" since Policy, v. 3.5.6.0,
    section 11.2, states that the usual rule for shared libraries do not
    apply in this case (there was a problem compiling texmacs libraries
    with -fPIC). Removed the corresponding remark in README.Debian.
    Changed Depends accordingly.
    Closes: #78091.
  * Standards-Version: 3.5.6.0
  * DH_COMPAT=3

 -- Ralf Treinen <treinen@debian.org>  Fri,  3 Aug 2001 12:12:45 +0200

texmacs (0.3.4.4-1) unstable; urgency=low

  * New upstream release
  * Restricted architecture to i386,  sparc,  ppc since these are,
    according to upstream, the only tested architecture, and
    since it does not run an alpha (see bug #104358).
  * configure: use --libexecdir=/usr/lib/texmacs (mostly architecture
    dependent) and set --datadir=/usr/share/lib/texmacs (architecture
    independent).
  * create symbolic link /usr/share/texmacs/TeXmacs-*/LICENSE ->
    /usr/share/common-licenses/GPL since this is where texmacs expects
    its license (closes: Bug#100711).

 -- Ralf Treinen <treinen@debian.org>  Fri, 13 Jul 2001 22:11:50 +0200

texmacs (0.3.3.15-2) unstable; urgency=low

  * Changing back to guile1.4 since guile1.3 is not in unstable
    (Closes: #98231, #98671)
  * Removed xlib6g-static from Build-Depends to force compilation
    against XFree 4
  * Standards-Version 3.5.4.0

 -- Ralf Treinen <treinen@debian.org>  Fri,  1 Jun 2001 21:29:49 +0200

texmacs (0.3.3.15-1) unstable; urgency=low

  * New upstream release
  * Downgraded the dependency on guile from guile1.4 to guile1.3 and
    since guile1.4 doesn't seem to make it into testing.
  * Removed dependency on libguile (covered by dependency on guile)
  * Removed dependency on xlibs
  * Upgraded Standards Version to 3.5.4.0
  * Build-Depends xlib6g-static: added alternative xlibs-dev to allow for
    compilationa against XF4
  * fixed a typo in Description
  * patched in src/Texmacs/Texmacs/texmacs.gen.cc the code to display the
    dvi documentation, in order to search the dvi doc as gzipped dvi
    in /usr/share/doc/texmacs. Added Suggests: xdvi.
  * Updated the url of the texmacs home page in README.Debian

 -- Ralf Treinen <treinen@debian.org>  Sat, 19 May 2001 14:57:08 +0200

texmacs (0.3.0.7-1) unstable; urgency=low

  * removed from debian/rules the rm's in the clean target since
    upstream fixed the Makefile

  * remove manpage for fig2ps from the debian dir - upstream now provides
    a man page.

  * changed Depends: ispell to Recommends: ispell

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Mon,  4 Dec 2000 19:40:45 +0100

texmacs (0.3.0.5-3) unstable; urgency=low

  * debian/rules: have align flags only for i386 architecture, patch
    by Christopher C. Chimelis <chris@debian.org> acknowledged (closes:
    bug#77719).

  * added dependency on ispell

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Nov 2000 22:34:43 +0100

texmacs (0.3.0.5-2) unstable; urgency=low

  * Removed from src/Basic/System/dir.gen.cc the code that calls
    guile-config  since this would require the libguile9-dev package for
    execution of texmacs (closes: bug#77602).

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Nov 2000 11:00:18 +0100

texmacs (0.3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 Nov 2000 18:59:43 +0100

texmacs (0.3.0-3-1) unstable; urgency=low

  * Initial Package (not released).

 -- Ralf Treinen <treinen@debian.org>  Sat, 21 Oct 2000 12:07:51 +0200
